Subject: Re: [OSPF] AD review of draft-ietf-ospf-two-part-metric-05

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 2 Aug 2016 22:28:19 +0000

Hi Alia,

Thanks for your review and progression.

From: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Friday, July 29, 2016 at 11:19 PM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: AD review of draft-ietf-ospf-two-part-metric-05
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Lili Wang <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Vibhor Julka <[email-masked]<mailto:[email-masked]>>, Tom McMillan <[email-masked]<mailto:[email-masked]>>, Jeffrey Zhang <[email-masked]<mailto:[email-masked]>>
Resent-Date: Friday, July 29, 2016 at 11:19 PM

First, I would like to thank the authors, Jeffrey, Lili, Acee, David, Vibhor and Tom, for their work on this draft.

As is customary, I have done my AD review of draft-ietf-ospf-two-part-metric-05.
I do have a few concerns which are detailed below.  The number of authors will block progressing to IESG telechat until it is addressed.   Trusting to a timely resolution of the issues below, I am requesting IETF Last Call.  With prompt action, this document can make it to the August 18 telechat for approval.

Review Comments:

First, this fairly short document has 6 authors.   As you all well know, the usual limit for drafts progressing is 5.  This greatly simplifies the interactions during AUTH48 and there is rarely more than a few active editors.  Please consider if you can reduce it and explain to me privately what justifications might exist, if any, for not doing so.

Okay - we will do this and get back to you.

Second, please update the TBDs in the document for the various IANA allocated sub-TLV values to be TBD1, TBD2, and TBD3 so it's easier to replace during IANA and RFC Editor processing.

Yes - we will do this.

Third, Sec 3.7 defines bit 0 to have specific meaning but doesn't indicate that in the IANA section.  Please update the IANA section to clearly indicate the bit being requested (or update the bit to be a TBD4).  The term used to refer to the bit also varies between 3.7 and 4.  Please pick one term and stick with it.  In 3.7, it is "Router Functional Capability Bit" and in Sec 4, it is Router Informational Capability Bits.

Will do - it is a definitely a “Router Functional Capability Bit” as defined in RFC 7770.

Thanks,
Acee

Regards,
Alia